# The Kalzium solver needs OCaml with native compilation support (ocamlopt) and
# ocaml-facile.
%if 0%{?fedora} > 8
%ifarch alpha %{ix86} ia64 x86_64 ppc ppc64 sparc sparcv9
%define with_facile 1
%endif
%endif
%if 0%{?fedora} == 8
%ifarch alpha %{ix86} ia64 x86_64 ppc sparc sparcv9
%define with_facile 1
%endif
%endif

Name:    kdeedu
Summary: Educational/Edutainment applications 
Version: 4.1.0
Release: 1%{?dist}

License: GPLv2
Group:	 Amusements/Games
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdeedu-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# fix cfitsio detection by using pkgconfig
Patch0:  kdeedu-4.0.4-cfitsio.patch

# http://bugzilla.redhat.com/371121
Obsoletes: kalgebra < 1:0.7-7
Provides:  kalgebra = 1:0.7-7

# http://bugzilla.redhat.com/394011
Obsoletes: marble < 1:0.5.1-1
Provides:  marble = 1:0.5.1-1

Obsoletes: kdeedu4 < %{version}-%{release}
Provides:  kdeedu4 = %{version}-%{release}

# Kig can optionally use Boost.Python for Python scripting
BuildRequires: boost-devel
# CFITSIO Library is needed by KStars for many INDI drivers & for KStars FITS Viewer.
BuildRequires: cfitsio-devel
BuildRequires: cmake 
BuildRequires: desktop-file-utils
BuildRequires: eigen-devel
BuildRequires: giflib-devel
BuildRequires: gmm-devel
BuildRequires: gpsd-devel
BuildRequires: gsl-devel
# for libplasma
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: kdelibs4-devel >= %{version}
# for macros.kde4
BuildRequires: kde-filesystem
BuildRequires: libnova-devel
BuildRequires: libqalculate-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
%if 0%{?with_facile}
BuildRequires: ocaml(compiler)
BuildRequires: ocaml-facile-devel
%endif
BuildRequires: openbabel-devel >= 2.2.0-0.4.b5
BuildRequires: pcre-devel
BuildRequires: python-devel python
BuildRequires: readline-devel
## BR's FIXME/TODO:
#+ libsbigudrv, 1.00: SBIG Universal Driver is needed by KStars <http://indi.sourceforge.net/>

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: %{name}-libs = %{version}-%{release}
# split pkgs, (temporary?) upgrade path -- Rex
Requires: %{name}-kstars = %{version}-%{release}
Requires: %{name}-math = %{version}-%{release}
Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
Educational/Edutainment applications:
* blinken: Simon Says Game
* kalzium: A periodic table of the elements
* kanagram: Anagram game
* kgeography: Learn geography
* khangman: Hangman Game
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* ktouch: Learn and practice touch typing 
* kturtle: Logo Programming Environment
* kwordquiz: Flashcard and vocabulary learning
* marble: A World Atlas 
* parley: Vocabulary Trainer
* step: Interactive physical simulator

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name} 
Requires: %{name}-libs = %{version}-%{release}
Obsoletes: kdeedu4-devel < %{version}-%{release}
Provides:  kdeedu4-devel = %{version}-%{release}
# http://bugzilla.redhat.com/394011
Obsoletes: marble-devel < 1:0.5.1-1
Provides:  marble-devel = 1:0.5.1-1
Requires: kdelibs4-devel
Requires: giflib-devel
Requires: pcre-devel
%description devel
%{summary}.

%package kstars
Group:   Amusements/Games
Summary: Desktop Planetarium 
Requires: %{name}-libs = %{version}-%{release}
Requires(post): xdg-utils
Requires(postun): xdg-utils
%description kstars
%{summary}.

%package math
Group:	 Amusements/Games
Summary: Math applications
Requires: %{name}-libs = %{version}-%{release}
Requires(post): xdg-utils
Requires(postun): xdg-utils
Provides:   kdeedu4-math = %{version}-%{release}
%description math
Educational/Edutainment Math applications:
* kalgebra: MathML-based graph calculator
* kbruch: Exercise Fractions
* kig: Interactive Geometry
* kmplot: Mathematical Function Plotter
* kpercentage: Excersize Percentages


%prep
%setup -q -n kdeedu-%{version}
%patch0 -p1 -b .cfitsio


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} 


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# #unpackaged files
# omit stuff for which there isn't a clear public API
rm -f %{buildroot}%{_kde4_libdir}/lib{SatLib,analitza,compoundviewer,htmesh,sbigudrv}.{a,so}


%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun 
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post kstars
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun kstars
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post math 
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun math 
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
# FIXME/TODO : sort file list into per-app sections. ? -- Rex
%{_kde4_bindir}/blinken
%{_kde4_bindir}/geodatatest
%{_kde4_bindir}/indi*
%{_kde4_bindir}/kalzium
%{_kde4_bindir}/kanagram
%{_kde4_bindir}/kgeography
%{_kde4_bindir}/khangman
%{_kde4_bindir}/kiten
%{_kde4_bindir}/kitengen
%{_kde4_bindir}/kitenradselect
%{_kde4_bindir}/klettres
%{_kde4_bindir}/ktouch
%{_kde4_bindir}/kturtle
%{_kde4_bindir}/kwordquiz
%{_kde4_bindir}/marble
%{_kde4_bindir}/parley
%{_kde4_bindir}/step
%{_kde4_bindir}/tilecreator

# FIXME?
%{_kde4_appsdir}/desktoptheme/
%{_kde4_appsdir}/blinken/
%{_kde4_appsdir}/kalzium/
%{_kde4_appsdir}/kanagram/
%{_kde4_appsdir}/kgeography/
%{_kde4_appsdir}/khangman/
%{_kde4_appsdir}/kiten/
%{_kde4_appsdir}/kitenradselect/
%{_kde4_appsdir}/klettres/
%{_kde4_appsdir}/ktouch/
%{_kde4_appsdir}/kturtle/
%{_kde4_appsdir}/kvtml/
%{_kde4_appsdir}/kwordquiz/
%{_kde4_appsdir}/marble/
%{_kde4_appsdir}/marble_part/
%{_kde4_appsdir}/parley/
%{_kde4_appsdir}/step/

%{_kde4_datadir}/kde4/services/marble_part.desktop
%{_kde4_datadir}/kde4/services/plasma-dataengine-parley.desktop
%{_kde4_datadir}/kde4/services/plasma_parley.desktop

%{_kde4_libdir}/kde4/libmarble_part.so
%{_kde4_libdir}/kde4/plasma_applet_kalgebra.so
%{_kde4_libdir}/kde4/plasma_applet_parley.so
%{_kde4_libdir}/kde4/plasma_engine_parley.so
%{_kde4_datadir}/applications/kde4/blinken.desktop
%{_kde4_datadir}/applications/kde4/kalzium.desktop
%{_kde4_datadir}/applications/kde4/kanagram.desktop
%{_kde4_datadir}/applications/kde4/kgeography.desktop
%{_kde4_datadir}/applications/kde4/khangman.desktop
%{_kde4_datadir}/applications/kde4/kiten.desktop
%{_kde4_datadir}/applications/kde4/klettres.desktop
%{_kde4_datadir}/applications/kde4/ktouch.desktop
%{_kde4_datadir}/applications/kde4/kturtle.desktop
%{_kde4_datadir}/applications/kde4/kwordquiz.desktop
%{_kde4_datadir}/applications/kde4/marble.desktop
%{_kde4_datadir}/applications/kde4/parley.desktop
%{_kde4_datadir}/applications/kde4/step.desktop

%{_kde4_datadir}/config.kcfg/blinken.kcfg
%{_kde4_datadir}/config.kcfg/documentsettings.kcfg
%{_kde4_datadir}/config.kcfg/kalzium.kcfg
%{_kde4_datadir}/config.kcfg/kanagram.kcfg
%{_kde4_datadir}/config.kcfg/kgeography.kcfg
%{_kde4_datadir}/config.kcfg/khangman.kcfg
%{_kde4_datadir}/config.kcfg/kiten.kcfg
%{_kde4_datadir}/config.kcfg/klettres.kcfg
%{_kde4_datadir}/config.kcfg/ktouch.kcfg
%{_kde4_datadir}/config.kcfg/kwordquiz.kcfg
%{_kde4_datadir}/config.kcfg/languagesettings.kcfg
%{_kde4_datadir}/config.kcfg/marble.kcfg
%{_kde4_datadir}/config.kcfg/parley.kcfg
%{_kde4_datadir}/config.kcfg/step.kcfg
%{_kde4_datadir}/config/kalzium.knsrc
%{_kde4_datadir}/config/kanagram.knsrc
%{_kde4_datadir}/config/khangman.knsrc
%{_kde4_datadir}/config/klettres.knsrc
%{_kde4_datadir}/config/kwordquiz.knsrc
%{_kde4_datadir}/config/parley.knsrc
%{_kde4_datadir}/config/step.knsrc

%{_kde4_docdir}/HTML/en/blinken/
%{_kde4_docdir}/HTML/en/kalzium/
%{_kde4_docdir}/HTML/en/kanagram/
%{_kde4_docdir}/HTML/en/kgeography/
%{_kde4_docdir}/HTML/en/khangman/
%{_kde4_docdir}/HTML/en/kiten/
%{_kde4_docdir}/HTML/en/klettres/
%{_kde4_docdir}/HTML/en/ktouch/
%{_kde4_docdir}/HTML/en/kturtle
%{_kde4_docdir}/HTML/en/kwordquiz/
%{_kde4_docdir}/HTML/en/marble/
%{_kde4_docdir}/HTML/en/parley/
%{_kde4_docdir}/HTML/en/step/

%{_kde4_iconsdir}/hicolor/*/*/blinken.*
%{_kde4_iconsdir}/hicolor/*/*/kalzium.*
%{_kde4_iconsdir}/hicolor/*/*/kanagram.*
%{_kde4_iconsdir}/hicolor/*/*/kgeography.*
%{_kde4_iconsdir}/hicolor/*/*/khangman.*
%{_kde4_iconsdir}/hicolor/*/*/kiten.*
%{_kde4_iconsdir}/hicolor/*/*/klettres.*
%{_kde4_iconsdir}/hicolor/*/*/ktouch.*
%{_kde4_iconsdir}/hicolor/*/*/kturtle.*
%{_kde4_iconsdir}/hicolor/*/*/kwordquiz.*
%{_kde4_iconsdir}/hicolor/*/*/marble.*
%{_kde4_iconsdir}/hicolor/*/*/parley*.*
%{_kde4_iconsdir}/hicolor/*/*/step.*
%{_kde4_iconsdir}/oxygen/*/*/*

%{_kde4_libdir}/avogadro-kalzium/
# marble
%{_kde4_libdir}/libcompoundviewer.so.*

%files libs 
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_libdir}/libanalitza.so.*
%{_kde4_libdir}/libavogadro-kalzium.so.*
%{_kde4_libdir}/libkdeedu*.so.*
%{_kde4_libdir}/libkeduvocdocument.so.*
%{_kde4_libdir}/libkiten.so.*
%{_kde4_libdir}/libmarble*.so.*
%{_kde4_libdir}/libsbigudrv.so.*
%{_kde4_libdir}/libscience.so.*
%{_kde4_appsdir}/libkdeedu/
%{_kde4_libdir}/kde4/plugins/marble/

%files devel
%defattr(-,root,root,-)
%{_kde4_appsdir}/cmake/modules
%{_kde4_includedir}/libkdeedu/
%{_kde4_includedir}/libkiten/
%{_includedir}/marble/
%{_kde4_libdir}/libavogadro-kalzium.so
%{_kde4_libdir}/libkdeedu*.so
%{_kde4_libdir}/libkeduvocdocument.so
%{_kde4_libdir}/libkiten.so
%{_kde4_libdir}/libmarble*.so
%{_kde4_libdir}/libscience.so
%{_kde4_libdir}/kde4/plugins/designer/kalziumuiwidgets.so

%files kstars
%defattr(-,root,root,-)
%{_kde4_bindir}/kstars
%{_kde4_datadir}/applications/kde4/kstars.desktop
%{_kde4_datadir}/config.kcfg/kstars.kcfg
%{_kde4_configdir}/kstars.knsrc
%{_kde4_docdir}/HTML/en/kstars/
%{_kde4_appsdir}/kstars/
%{_kde4_iconsdir}/hicolor/*/*/kstars.*
%{_kde4_libdir}/libSatLib.so.*

%files math
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/calgebra
%{_kde4_bindir}/kalgebra
%{_kde4_bindir}/kbruch
%{_kde4_bindir}/kig
%{_kde4_bindir}/kmplot
%{_kde4_bindir}/kpercentage
%{_kde4_bindir}/pykig.*
%{_kde4_libdir}/kde4/kigpart.*
%{_kde4_libdir}/kde4/libkmplotpart.*
%{_kde4_datadir}/applications/kde4/kalgebra.desktop
%{_kde4_datadir}/applications/kde4/kbruch.desktop
%{_kde4_datadir}/applications/kde4/kig.desktop
%{_kde4_datadir}/applications/kde4/kmplot.desktop
%{_kde4_datadir}/applications/kde4/kpercentage.desktop
%{_kde4_datadir}/config.kcfg/kbruch.kcfg
%{_kde4_datadir}/config.kcfg/kmplot.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kmplot.*
%{_kde4_docdir}/HTML/en/kpercentage/
%{_kde4_docdir}/HTML/en/kalgebra/
%{_kde4_docdir}/HTML/en/kbruch/
%{_kde4_docdir}/HTML/en/kig/
%{_kde4_docdir}/HTML/en/kmplot/
%{_kde4_iconsdir}/hicolor/*/*/kalgebra.*
%{_kde4_iconsdir}/hicolor/*/*/kbruch.*
%{_kde4_iconsdir}/hicolor/*/*/kig.*
%{_kde4_iconsdir}/hicolor/*/*/kmplot.*
%{_kde4_iconsdir}/hicolor/*/*/kpercentage.*
%{_kde4_iconsdir}/hicolor/*/*/application-x-kig.*
%{_kde4_appsdir}/katepart/syntax/python-kig.xml
%{_kde4_appsdir}/kbruch/
%{_kde4_appsdir}/kig/
%{_kde4_appsdir}/kmplot/
%{_kde4_appsdir}/kpercentage/
%{_kde4_datadir}/kde4/services/kalgebraplasmoid.desktop
%{_kde4_datadir}/kde4/services/kig_part.desktop
%{_kde4_datadir}/kde4/services/kmplot_part.desktop


%changelog
* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Mon Jul 07 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Mon Jul 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.84-2
- rebuild for new OpenBabel

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Thu Jun 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.83-2
- %%description: update for new apps
- -math subpkg (#446093)
- -devel: omit a few lib*.so symlinks for those with non-public apis
- -devel: move designer plugins here

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Fri Jun 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-5
- BR OpenBabel 2.2.0 beta5, drop build fix hack for beta 4

* Thu Jun 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-4
- backport upstream fix for Step build

* Tue Jun 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-3
- add BR gmm-devel, libqalculate-devel and gsl-devel for Step

* Tue May 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-2
- patch to build against OpenBabel 2.2.0 beta4

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Fri May 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-3
- put unversioned libanalitza.so in -libs instead of -devel (#448035)

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-2
- -kstars subpkg (#432317)

* Thu May 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- use pkgconfig for cfitsio patch now that cfitsio.pc has been fixed
- add BR kdebase-workspace-devel for plasmoids
- add BR libxml2-devel, libxslt-devel for Parley HTML export
- BR new minimum version of openbabel-devel

* Wed Apr 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- rebuild for new ocaml (3.10.2)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3
- drop kdeedu-4.0.2-openbabel.patch, it's included in new version

* Wed Mar 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-6
- bump marble Provides/Obsoletes

* Fri Mar 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-5
- BR ocaml(compiler) and ocaml-facile-devel (for Kalzium)

* Wed Mar 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-4
- add BR eigen-devel (for Kalzium)
- update file list (add avogadro-kalzium files)

* Fri Mar 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-3
- fix cfitsio detection by adding another hardcoded directory

* Fri Mar 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- reenable BR openbabel-devel, fix build with it
- add BR gpsd-devel (for marble), libnova-devel (for KStars)

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- 4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-2
- respun tarball

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-4
- -devel: Obsoletes: marble-devel (#394011)

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-3
- list marble headers separately as they are in %%{_includedir}

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-1
- kde-3.97.0

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Tue Nov 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- kde-3.96.1

* Wed Nov 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-3
- Obsoletes/Provides: marble (#394011)

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-2
- unpackaged files

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-1
- kde-3.96.0

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.2-1
- kdeedu-3.95.2 
- resume ppc, ppc64 builds (#370771)

* Wed Nov 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-4
- ExcludeArch: ppc ppc64 (#370771)

* Wed Nov 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-2
- Obsoletes/Provides: kalgebra (#371121)

* Mon Nov 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-1
- kdeedu-3.95 (kde-4-beta4)

* Fri Nov 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.94.0-2
- drop ocaml support (for now)

* Wed Oct 31 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.94.0-1
- kdeedu-3.94 (kde-4-beta3)
- drop multilib hacks

* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-3
- -libs: Obsoletes: %%name ... to help out multilib upgrades

* Wed Oct 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-2
- -libs conditional (f8+)
- %%post/%%postun libs /sbin/ldconfig

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-1
- kde-3.5.8
- License: GPLv2
- libs subpkg (more multilib friendly)

* Fri Aug 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-2
- respin for boost abi change

* Mon Jun 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-1
- 3.5.7

* Tue Mar 06 2007 Than Ngo <than@redhat.com> - 3.5.6-2.fc7
- cleanup

* Wed Feb 07 2007 Than Ngo <than@redhat.com> 3.5.6-1.fc7
- 3.5.6

* Thu Dec 14 2006 Karsten Hopp <karsten@redhat.com> 3.5.4-2
- fix automake version check

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Fri Jul 14 2006 Than Ngo <than@redhat.com> 3.5.3-2
- BR: autoconf automake libtool

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.5.3-1.1
- rebuild

* Sat Jun 03 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb 04 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Fri Nov 11 2005 Than Ngo <than@redhat.com> 3.4.92-2
- fix #172887 

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to 3.5 beta2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to 3.5 beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 3.4.2-3
- fix uic build problem

* Wed Aug 24 2005 Than Ngo <than@redhat.com> 3.4.2-2
- rebuilt against boost-1.33

* Wed Aug 10 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Mon Jul 18 2005 Than Ngo <than@redhat.com> 3.4.1-2
- enable python-scripting #157961

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1 
- 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE-3.4 Beta2

* Wed Feb 09 2005 Than Ngo <than@redhat.com> 3.3.2-0.2
- replace kgeo (#142367)

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1 release

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-2
- fix some broken code

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- gcc 3.4 build problem

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- add missing ldconfig in post/postun, #116171

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup
- remove some unneeded patch files

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 3.1.3-2
- fixed build problem with gcc 3.3

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jul 4 2003 Than Ngo <than@redhat.com> 3.1.2-5
- don't include debug infos in main package (bug #87730)

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- removed size_t check
- excluded ia64

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.3
- add missing defattr

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- get rid of sub packages
- desktop issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- add fix for building xjdxgen

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-3
- desktop file issues
- fixed a bug in install (bug #69414)
 
* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
